Summary:	hfst-ospell library and toy commandline tester
Summary(pl.UTF-8):	Biblioteka hfst-ospell i program testowy
Name:		hfst-ospell
Version:	0.5.3
Release:	3%{?tld}
License:	Apache v2.0
Group:		Applications/Text
#Source0Download: https://github.com/hfst/hfst-ospell/releases
Source0:	https://github.com/hfst/hfst-ospell/archive/v%{version}/hfstospell-%{version}.tar.gz
# Source0-md5:	a24167e120746209b4096f199f1f7bb6
Patch0:		%{name}-demos.patch
Patch1:		gcc-13.patch
URL:		http://hfst.github.io/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	libarchive-devel >= 3.0.1
BuildRequires:	libicu-devel >= 4
# -std=c++14
BuildRequires:	libstdc++-devel >= 6:5.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml++2-devel >= 2.10.0
BuildRequires:	pkgconfig
Requires:	libxml++2 >= 2.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a minimal hfst optimized lookup format based spell checker
library and a demonstrational implementation of command line based
spell checker.

%description -l pl.UTF-8
Ten pakiet zawiera minimalną bibliotekę do sprawdzania pisowni przy
użyciu zoptymalizowanego wyszukiwania hfst oraz demonstracyjną
implementację działającego z linii poleceń programu do sprawdzania
pisowni.

%package devel
Summary:	Header files for hfst-ospell library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki hfst-ospell
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libarchive-devel >= 3.0.1
Requires:	libicu-devel >= 4
Requires:	libstdc++-devel >= 6:5.0
Requires:	libxml++2-devel >= 2.10.0

%description devel
Header files for hfst-ospell library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki hfst-ospell.

%package static
Summary:	Static hfst-ospell library
Summary(pl.UTF-8):	Statyczna biblioteka hfst-ospell
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static hfst-ospell library.

%description static -l pl.UTF-8
Statyczna biblioteka hfst-ospell.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	HFST_TXT2FST=/usr/bin/hfst-txt2fst \
	HFST_FST2FST=/usr/bin/hfst-fst2fst \
	ZIP=/usr/bin/zip \
	--enable-extra-demos \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhfstospell.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/hfst-ispell
%attr(755,root,root) %{_bindir}/hfst-ospell
%attr(755,root,root) %{_bindir}/hfst-ospell-cicling
%attr(755,root,root) %{_bindir}/hfst-ospell-fsmnlp-2012
%attr(755,root,root) %{_bindir}/hfst-ospell-lrec2013
%attr(755,root,root) %{_bindir}/hfst-ospell-norvig
%attr(755,root,root) %{_bindir}/hfst-ospell-office
%attr(755,root,root) %{_bindir}/hfst-ospell-survey
%attr(755,root,root) %{_libdir}/libhfstospell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhfstospell.so.11
%{_mandir}/man1/hfst-ospell.1*
%{_mandir}/man1/hfst-ospell-office.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhfstospell.so
%{_includedir}/ZHfstOspeller*.h
%{_includedir}/hfst-ol.h
%{_includedir}/hfstol-stdafx.h
%{_includedir}/ol-exceptions.h
%{_includedir}/ospell.h
%{_pkgconfigdir}/hfstospell.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libhfstospell.a
%changelog
* Sat Apr 19 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/hfst-ospell.git;a=log;h=master

* Fri Jan 17 2025 Jan Palus <atler@pld-linux.org> 87ee05b
- icu 76 rebuild

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> c00b92f
- icu rebuild

* Thu Jun 29 2023 Jan Palus <atler@pld-linux.org> e31ee28
- fix build with gcc 13

* Mon Feb 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 9597825
- updated to 0.5.3

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> f79eb1d
- icu rebuild

* Thu Jun 02 2022 Jan Palus <atler@pld-linux.org> 8b5e2ac
- icu rebuild

* Fri Jan 14 2022 Jan Palus <atler@pld-linux.org> 86538c7
- icu rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> c41fc8e
- icu rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 33d1954
- rediff patch

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> d6008a6
- up to 0.5.2

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> a58ab38
- rebuild with icu 65.1
- release 3 (by relup.sh)

* Sun Apr 14 2019 Adam Gołębiowski <adamg@pld-linux.org> e164737
- release 2, rebuild against icu 64

* Sun Dec 23 2018 Jakub Bogusz <qboosh@pld-linux.org> ef825f1
- updated to 0.5.1 (note: new soname, requires C++14 now)
- updated demos patch

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> d5a1489
- release 2 (by relup.sh)

* Thu Apr 13 2017 Jakub Bogusz <qboosh@pld-linux.org> e33c5a5
- updated to 0.4.5 (note: new soname)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 1f7b3c6
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Fri Sep 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 91f33cf
- new URLs, updated to 0.4.2

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 695b0a7
- icu-57.1 rebuild
- release 3 (by relup.sh)

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> e91afc4
- adjusted for libxml++2; release 2

* Mon Dec 28 2015 Jakub Bogusz <qboosh@pld-linux.org> c2b287c
- updated to 0.4.0
- removed obsolete libarchive patch
- added demos patch (remove already removed read_legacy usage)

